rte_pmd_cnxk_cpt_res_s::rte_pmd_cpt_cn10k_res_s(3)

NAME
rte_pmd_cnxk_cpt_res_s::rte_pmd_cpt_cn10k_res_s

SYNOPSIS

#include <rte_pmd_cnxk.h>

  Data Fields

uint64_t compcode: 7
uint64_t doneint: 1
uint64_t uc_compcode: 8
uint64_t rlen: 16
uint64_t spi: 32
uint64_t esn

Detailed Description

CN10K CPT result

Definition at line 483 of file rte_pmd_cnxk.h.

Field Documentation

  uint64_t compcode
Completion code

Definition at line 485 of file rte_pmd_cnxk.h.

  uint64_t doneint
Done interrupt

Definition at line 487 of file rte_pmd_cnxk.h.

  uint64_t uc_compcode
Microcode completion code

Definition at line 489 of file rte_pmd_cnxk.h.

  uint64_t rlen
Result length

Definition at line 491 of file rte_pmd_cnxk.h.

  uint64_t spi
SPI

Definition at line 493 of file rte_pmd_cnxk.h.

  uint64_t esn
Extended sequence number

Definition at line 496 of file rte_pmd_cnxk.h.

Author

Generated automatically by Doxygen for DPDK from the source code.